Name:           rocksndiamonds
Version:        4.0.0.2
Release:        %mkrel 1
Summary:        A boulderdash like game
Group:          Games/Arcade
License:        GPLv2+
URL:            http://www.artsoft.org/rocksndiamonds/
# Tarball from http://www.artsoft.org/RELEASES/unix/rocksndiamonds/ repacked without binaries
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.16.png
Source2:        %{name}.32.png
Source3:        %{name}.48.png
Source4:        %{name}.desktop
Source5:        %{name}.6
Patch0:         rocksndiamonds-4.0.0.1-CVE-2011-4606.patch
Patch1:         rocksndiamonds-4.0.0.1-mga-games-data-and-save-paths.patch

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)

%description
This is a nice little game with color graphics and sound for your
Unix system.

If you know the game "Boulderdash" (Commodore C64) or "Emerald Mine"
(Amiga) or "Supaplex" (PC), you know what "ROCKS'N'DIAMONDS" is about.

%prep
%autosetup -p1

%build
%make_build EXTRA_CFLAGS="%{optflags}" EXTRA_LDFLAGS="%{ldflags}"

%install
# Install stuff
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}

# Own legacy scores dir for users of previous versions.
# If the 'scores' folder is missing (purposedly not installed), scores are saved
# in the user dir, which is better for new users.
install -d %{buildroot}%{_localstatedir}/%{_gamesdir}/%{name}

# Man pages
install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

# Menu
install -D -m644 %{_sourcedir}/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
for size in 16 32 48; do
  install -D -m644 %{_sourcedir}/%{name}.${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%pre
if [ -d %{_gamesdatadir}/%{name}/scores ]; then
        mkdir -p %{_localstatedir}/%{_gamesdir}/%{name}/
        mv %{_gamesdatadir}/%{name}/scores %{_localstatedir}/%{_gamesdir}/%{name}/
fi

%files
%doc CREDITS
%license COPYING
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%attr(0755,root,games) %dir %{_localstatedir}/%{_gamesdir}/%{name}


%changelog
* Sun Mar 19 2017 akien <akien> 4.0.0.2-1.mga6
+ Revision: 1093566
- Version 4.0.0.2

* Wed Jan 11 2017 akien <akien> 4.0.0.1-1.mga6
+ Revision: 1081083
- Version 4.0.0.1
- No longer install scores folder in /var/lib/rocksndiamonds,
  so that it defaults to user dir for new users.
- Use Mageia linking flags.

* Tue Feb 09 2016 umeabot <umeabot> 3.3.1.2-2.mga6
+ Revision: 952014
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 akien <akien> 3.3.1.2-1.mga5
+ Revision: 810069
- Install icons in hicolor theme
- Put manpage in category 6 (games)
- Fix unused optflags
- Version 3.3.1.2

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0.1-8.mga5
+ Revision: 738796
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.0.1-7.mga5
+ Revision: 688688
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.0.1-6.mga4
+ Revision: 518032
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.3.0.1-5.mga3
+ Revision: 380377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 3.3.0.1-4.mga3
+ Revision: 336081
- Fix BuildRequires to get x86_64 smpeg-devel on x86_64

* Mon Jul 30 2012 luigiwalser <luigiwalser> 3.3.0.1-3.mga3
+ Revision: 276236
- add patch from fedora to fix CVE-2011-4606

* Mon May 09 2011 ahmad <ahmad> 3.3.0.1-2.mga1
+ Revision: 96658
- Drop esound-devel BR; phasing esound from the distro
- Drop X11-devel BR, the necessary x11 devel packages are pulled by SDL-devel
- Drop alsa-lib-devel BR, already pulled by SDL_mixer-devel

* Sun Mar 13 2011 obgr_seneca <obgr_seneca> 3.3.0.1-1.mga1
+ Revision: 70712
- new version 3.3.0.1
- cleaned up spec
- removed buildroot tag
- moved desktop entry to separate file
- imported package rocksndiamonds

